class secureapp($secureapp_host,$secureapp_username,$secureapp_password) {
  require firewall

  # clear existing firewall/iptable entries
  resources { 'firewall':
      purge => true,
  }


  #Get the IP addresses for all the interfaces on the machine.
  $interface_names = split($::interfaces, ',') 
  $interface_ip_vars = prefix($interface_names, 'ipaddress_')
  $target_ips = split(inline_template("<%= (interface_ip_vars.collect{|interface_ip_var| eval interface_ip_var}).flatten.join(',') %>"),",")

  $rules = tufin_secureapp($secureapp_host, $secureapp_username, $secureapp_password, $target_ips)
  create_resources(firewall, $rules)
}
